loci.formats.in

## Class VolocityReader.Stack

- java.lang.Object
- - loci.formats.in.VolocityReader.Stack

- Enclosing class:
    VolocityReader

      class VolocityReader.Stack
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockSize`
    `java.lang.String[]` | `channelNames`
    `boolean` | `clippingData`
    `CoreMetadata` | `core`
    `java.lang.String` | `description`
    `java.lang.String` | `detector`
    `java.lang.Double` | `magnification`
    `java.lang.Double` | `physicalX`
    `java.lang.Double` | `physicalY`
    `java.lang.Double` | `physicalZ`
    `java.lang.String[]` | `pixelsFiles`
    `int` | `planePadding`
    `java.lang.String` | `timestampFile`
    `double` | `xLocation`
    `double` | `yLocation`
    `double` | `zLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stack()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pixelsFiles

          public java.lang.String[] pixelsFiles

    - #### timestampFile

          public java.lang.String timestampFile

    - #### planePadding

          public int planePadding

    - #### blockSize

          public int blockSize

    - #### clippingData

          public boolean clippingData

    - #### core

          public CoreMetadata core

    - #### channelNames

          public java.lang.String[] channelNames

    - #### physicalX

          public java.lang.Double physicalX

    - #### physicalY

          public java.lang.Double physicalY

    - #### physicalZ

          public java.lang.Double physicalZ

    - #### magnification

          public java.lang.Double magnification

    - #### detector

          public java.lang.String detector

    - #### description

          public java.lang.String description

    - #### xLocation

          public double xLocation

    - #### yLocation

          public double yLocation

    - #### zLocation

          public double zLocation

  - ### Constructor Detail

    - #### Stack

          Stack()

Copyright © 2026 Open Microscopy Environment